From 45a23067041933110c60930ffe7e9cbd3add4c41 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 17 Nov 2024 13:30:16 +0800
Subject: [PATCH] meson.build: add powerpc arch

---
 codec/common/meson.build     | 4 ++++
 codec/decoder/meson.build    | 4 ++++
 codec/encoder/meson.build    | 4 ++++
 codec/processing/meson.build | 4 ++++
 meson.build                  | 6 ++++++
 5 files changed, 22 insertions(+)

diff --git codec/common/meson.build codec/common/meson.build
index beab66a4..963da74b 100644
--- codec/common/meson.build
+++ codec/common/meson.build
@@ -71,6 +71,10 @@ elif cpu_family in ['loongarch32', 'loongarch64']
   cpp_sources += asm_sources
 elif cpu_family == 'riscv64'
   asm_sources = []
+elif cpu_family == 'ppc'
+  asm_sources = []
+elif cpu_family == 'ppc64'
+  asm_sources = []
 else
   error('Unsupported cpu_family @0@'.format(cpu_family))
 endif
diff --git codec/decoder/meson.build codec/decoder/meson.build
index 7c5b4c58..23352ff8 100644
--- codec/decoder/meson.build
+++ codec/decoder/meson.build
@@ -56,6 +56,10 @@ elif cpu_family in ['loongarch32', 'loongarch64']
   cpp_sources += asm_sources
 elif cpu_family == 'riscv64'
   asm_sources = []
+elif cpu_family == 'ppc'
+  asm_sources = []
+elif cpu_family == 'ppc64'
+  asm_sources = []
 else
   error('Unsupported cpu family @0@'.format(cpu_family))
 endif
diff --git codec/encoder/meson.build codec/encoder/meson.build
index 194253a7..bebb74c2 100644
--- codec/encoder/meson.build
+++ codec/encoder/meson.build
@@ -85,6 +85,10 @@ elif cpu_family in ['loongarch32', 'loongarch64']
   cpp_sources += asm_sources
 elif cpu_family == 'riscv64'
   asm_sources = []
+elif cpu_family == 'ppc'
+  asm_sources = []
+elif cpu_family == 'ppc64'
+  asm_sources = []
 else
   error('Unsupported cpu family @0@'.format(cpu_family))
 endif
diff --git codec/processing/meson.build codec/processing/meson.build
index d126ffa6..1c56eb57 100644
--- codec/processing/meson.build
+++ codec/processing/meson.build
@@ -58,6 +58,10 @@ elif cpu_family in ['loongarch32', 'loongarch64']
   cpp_sources += asm_sources
 elif cpu_family == 'riscv64'
   asm_sources = []
+elif cpu_family == 'ppc'
+  asm_sources = []
+elif cpu_family == 'ppc64'
+  asm_sources = []
 else
   error('Unsupported cpu family @0@'.format(cpu_family))
 endif
diff --git meson.build meson.build
index 5dbefa43..4447b10e 100644
--- meson.build
+++ meson.build
@@ -101,6 +101,12 @@ if ['linux', 'android', 'ios', 'darwin'].contains(system)
   elif cpu_family == 'riscv64'
     # We dont't have riscv64-specific optimization for now.
     asm_format = asm_format64
+  elif cpu_family == 'ppc'
+    # We dont't have powerpc-specific optimization for now.
+    asm_format = asm_format32
+  elif cpu_family == 'ppc64'
+    # We dont't have powerpc64-specific optimization for now.
+    asm_format = asm_format64
   else
     error('FIXME: unhandled CPU family @0@ for @1@'.format(cpu_family, system))
   endif
